Storyden
Accounts

Account Auth Provider List

Retrieve a list of authentication providers with a flag indicating which ones are active for the currently authenticated account.

GET/accounts/self/auth-methods

Retrieve a list of authentication providers with a flag indicating which ones are active for the currently authenticated account.

storyden-session<token>

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/accounts/self/auth-methods"
{
  "active": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "name": "string",
      "identifier": "string",
      "provider": {
        "provider": "string",
        "name": "string",
        "link": "string"
      }
    }
  ],
  "available": [
    {
      "provider": "string",
      "name": "string",
      "link": "string"
    }
  ]
}
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}